Skip to navigation

🧪 Get a Carrier’s SAFER Record

Retrieve a motor carrier's registry record by DOT number.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dot_numberstringRequired

Query parameters

registryenumOptional

Registry/authority that maintains the carrier record.

Allowed values:

Response

Successful Response
idstringformat: "uuid"
registryenum

Registry/authority that maintains the carrier record

Allowed values:
registry_idstring
created_atdatetime
updated_atdatetime
legal_namestring or nullOptional
dba_namestring or nullOptional
statusenum or nullOptional
Carrier operational status as reported by the registry
Allowed values:
addressstring or nullOptional
citystring or nullOptional
statestring or nullOptional
postal_codestring or nullOptional
countrystring or nullOptional
phonestring or nullOptional
emailstring or nullOptional
power_unitsinteger or nullOptional
total_driversinteger or nullOptional
safety_ratingenum or nullOptional
Safety fitness rating assigned by the registry
Allowed values:
safety_rating_datedate or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error